#include <iostream>
using namespace std;

//симулация без край на играта
int main() {
    int M, S, K, N;
    cin >> M >> S >> K >> N;

    int total = M * 60 + S;
    int currentTime = 0;
    int player = K;

    for (int i = 0; i < N; i++) {
        int W;
        char Z;
        cin >> W >> Z;

        // разглеждаме само нормален случай
        if (currentTime + W < total) {
            currentTime += W;

            if (Z == 'T') {
                player++;
                if (player == 9) player = 1;
            }
        }
    }

    // тук няма експлозия (не е пълно решение)
    cout << player << endl;

    return 0;
}
